Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Deluge + rb_libtorrent-0.16.0 cannot handle magnet links
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Networking & Security
View previous topic :: View next topic  
Author Message
audiodef
Watchman
Watchman


Joined: 06 Jul 2005
Posts: 5282

PostPosted: Mon May 21, 2012 1:42 pm    Post subject: Deluge + rb_libtorrent-0.16.0 cannot handle magnet links Reply with quote

This happened when I attempted to load a magnet link in deluge. I'm running python-updater and will run revdep-rebuild, but I'm not sure that will fix anything. This happens in version 1.3.3, 1.3.5 and 9999. Maybe this is related to a python bug?

Code:

13:35:01.724 [ERROR   ][twisted                            :532 ] Unhandled error in Deferred:
Unhandled error in Deferred:
13:35:01.728 [ERROR   ][twisted                            :532 ] Unhandled Error
Traceback (most recent call last):
  File "/usr/lib64/python2.7/site-packages/twisted/internet/gtk2reactor.py", line 319, in run
    self.__run()
  File "/usr/lib64/python2.7/site-packages/deluge/ui/gtkui/addtorrentdialog.py", line 791, in _on_button_add_clicked
    client.core.add_torrent_magnet(filename, options)
  File "/usr/lib64/python2.7/site-packages/deluge/ui/client.py", line 557, in __call__
    return self.daemon.call(self.base, *args, **kwargs)
  File "/usr/lib64/python2.7/site-packages/deluge/ui/client.py", line 509, in call
    m, *copy.deepcopy(args), **copy.deepcopy(kwargs)
--- <exception caught here> ---
  File "/usr/lib64/python2.7/site-packages/twisted/internet/defer.py", line 134, in maybeDeferred
    result = f(*args, **kw)
  File "/usr/lib64/python2.7/site-packages/deluge/core/core.py", line 307, in add_torrent_magnet
    return self.torrentmanager.add(magnet=uri, options=options)
  File "/usr/lib64/python2.7/site-packages/deluge/core/torrentmanager.py", line 484, in add
    handle = lt.add_magnet_uri(self.session, utf8_encoded(magnet), add_torrent_params)
exceptions.TypeError: No registered converter was able to produce a C++ rvalue of type boost::intrusive_ptr<libtorrent::torrent_info> from this Python object of type NoneType

Unhandled Error
Traceback (most recent call last):
  File "/usr/lib64/python2.7/site-packages/twisted/internet/gtk2reactor.py", line 319, in run
    self.__run()
  File "/usr/lib64/python2.7/site-packages/deluge/ui/gtkui/addtorrentdialog.py", line 791, in _on_button_add_clicked
    client.core.add_torrent_magnet(filename, options)
  File "/usr/lib64/python2.7/site-packages/deluge/ui/client.py", line 557, in __call__
    return self.daemon.call(self.base, *args, **kwargs)
  File "/usr/lib64/python2.7/site-packages/deluge/ui/client.py", line 509, in call
    m, *copy.deepcopy(args), **copy.deepcopy(kwargs)
--- <exception caught here> ---
  File "/usr/lib64/python2.7/site-packages/twisted/internet/defer.py", line 134, in maybeDeferred
    result = f(*args, **kw)
  File "/usr/lib64/python2.7/site-packages/deluge/core/core.py", line 307, in add_torrent_magnet
    return self.torrentmanager.add(magnet=uri, options=options)
  File "/usr/lib64/python2.7/site-packages/deluge/core/torrentmanager.py", line 484, in add
    handle = lt.add_magnet_uri(self.session, utf8_encoded(magnet), add_torrent_params)
exceptions.TypeError: No registered converter was able to produce a C++ rvalue of type boost::intrusive_ptr<libtorrent::torrent_info> from this Python object of type NoneType

_________________
Gentoo Studio: http://gentoostudio.org
Facebook: http://www.facebook.com/gentoostudio
G+: https://plus.google.com/113947758237122861689/posts
Pappy's Kernel Seeds: http://kernel-seeds.org


Last edited by audiodef on Mon May 21, 2012 3:00 pm; edited 1 time in total
Back to top
View user's profile Send private message
poncho
n00b
n00b


Joined: 06 Mar 2011
Posts: 62

PostPosted: Mon May 21, 2012 2:09 pm    Post subject: Reply with quote

What's your version of libtorrent?

Deluge & libtorrent 0.16, can't add magnetlinks
http://dev.deluge-torrent.org/ticket/2083

=net-p2p/deluge-1.3* should depend on <net-libs/rb_libtorrent-0.16.0
https://bugs.gentoo.org/show_bug.cgi?id=412755
Back to top
View user's profile Send private message
audiodef
Watchman
Watchman


Joined: 06 Jul 2005
Posts: 5282

PostPosted: Mon May 21, 2012 2:56 pm    Post subject: Reply with quote

I just found that. I've masked rb_libtorrent-0.16.0.

I just love it when an "upgrade" can't do something absolutely essential that the older version could do... :roll:
_________________
Gentoo Studio: http://gentoostudio.org
Facebook: http://www.facebook.com/gentoostudio
G+: https://plus.google.com/113947758237122861689/posts
Pappy's Kernel Seeds: http://kernel-seeds.org
Back to top
View user's profile Send private message
Spidey
Apprentice
Apprentice


Joined: 07 Sep 2006
Posts: 264

PostPosted: Tue May 22, 2012 4:49 pm    Post subject: Reply with quote

I guess the library updated and deluge didn't catch up yet.
Back to top
View user's profile Send private message
dol-sen
Developer
Developer


Joined: 30 Jun 2002
Posts: 2569
Location: Richmond, BC, Canada

PostPosted: Fri Dec 07, 2012 3:34 am    Post subject: Reply with quote

Well, it seems that 1.3.5 still doesn't handle rb_libtorrent-0.16.* I tried downgrading it, but 0.15 won't compile with newer boost.

But, deluge-9999 does work with rb_libtorrent-0.16.5 :)
_________________
Brian
Porthole, the Portage GUI frontend irc@freenode: #gentoo-guis, #porthole, Blog
layman, gentoolkit, CoreBuilder, esearch...
Back to top
View user's profile Send private message
erzapito
Tux's lil' helper
Tux's lil' helper


Joined: 02 Feb 2007
Posts: 87

PostPosted: Fri Jan 11, 2013 5:20 pm    Post subject: Reply with quote

deluge 1.3.5-r2 seems to fix the problem.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Networking & Security All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum